"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFormatFunction = void 0;
const merge_1 = __importDefault(require("../core/utils/merge"));
const is_object_1 = __importDefault(require("../core/utils/is-object"));
const is_string_1 = __importDefault(require("../core/utils/is-string"));
const is_function_1 = __importDefault(require("../core/utils/is-function"));
const format_1 = __importDefault(require("../formatter/format/format"));
function format(number, arg2, arg3) {
    const pattern = is_string_1.default(arg2) ? arg2 : null;
    const options = is_object_1.default(arg2) ? arg2 : (is_object_1.default(arg3) ? arg3 : {});
    return format_1.default(number, pattern, options);
}
const createFormatFunction = (options) => {
    const baseOptions = merge_1.default(options, {
        locale: is_function_1.default(options.locale) ? options.locale() : options.locale,
    });
    return ((value, arg2, arg3) => {
        const pattern = is_string_1.default(arg2) ? arg2 : null;
        const optionsFromArguments = is_object_1.default(arg2) ? arg2 : (is_object_1.default(arg3) ? arg3 : {});
        return format_1.default(value, pattern, merge_1.default(baseOptions, optionsFromArguments));
    });
};
exports.createFormatFunction = createFormatFunction;
format.withOptions = exports.createFormatFunction;
exports.default = format;
//# sourceMappingURL=format.js.map