"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const is_finite_number_1 = __importDefault(require("./is-finite-number"));
const split_string_in_two_parts_1 = __importDefault(require("./split-string-in-two-parts"));
/**
 * Returns the significand and exponent (in scientific notation) of the provided number.
 * Returns [significand: number, exponent: number]
 */
const getScientificNotation = (number) => {
    if (!is_finite_number_1.default(number))
        return [NaN, NaN];
    const [significand, exponent] = split_string_in_two_parts_1.default('' + number, 'e');
    return [+significand, +exponent];
};
exports.default = getScientificNotation;
//# sourceMappingURL=get-scientific-notation.js.map