import merge from '../core/utils/merge';
import isObject from '../core/utils/is-object';
import isString from '../core/utils/is-string';
import isFunction from '../core/utils/is-function';
import formatFunctionFromSourceCode from '../formatter/format/format';
function format(number, arg2, arg3) {
    const pattern = isString(arg2) ? arg2 : null;
    const options = isObject(arg2) ? arg2 : (isObject(arg3) ? arg3 : {});
    return formatFunctionFromSourceCode(number, pattern, options);
}
export const createFormatFunction = (options) => {
    const baseOptions = merge(options, {
        locale: isFunction(options.locale) ? options.locale() : options.locale,
    });
    return ((value, arg2, arg3) => {
        const pattern = isString(arg2) ? arg2 : null;
        const optionsFromArguments = isObject(arg2) ? arg2 : (isObject(arg3) ? arg3 : {});
        return formatFunctionFromSourceCode(value, pattern, merge(baseOptions, optionsFromArguments));
    });
};
format.withOptions = createFormatFunction;
export default format;
//# sourceMappingURL=format.js.map