"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const string_repeat_1 = __importDefault(require("../../../../core/utils/string-repeat"));
/**
 * <i> Add or remove leading zeros
 * Expects: a value integer part as string, without the minus sign. And nothing else but a number at the start.
 * Returns:
 *     - The value with the added or removed leading zeros
 */
const addOrRemoveLeadingZerosToValue = (valueIntegerPartWithoutSign, patternRules) => {
    const { minimumIntegerDigits } = patternRules;
    if (minimumIntegerDigits === 0 && +valueIntegerPartWithoutSign < 1 && +valueIntegerPartWithoutSign > -1) {
        return '';
    }
    return valueIntegerPartWithoutSign.length >= minimumIntegerDigits
        ? valueIntegerPartWithoutSign
        : `${string_repeat_1.default('0', minimumIntegerDigits - valueIntegerPartWithoutSign.length)}${valueIntegerPartWithoutSign}`;
};
exports.default = addOrRemoveLeadingZerosToValue;
//# sourceMappingURL=add-or-remove-leading-zeros-to-value.js.map