"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const number_to_fixed_1 = __importDefault(require("../../../../core/utils/number-to-fixed"));
const roundValueAndAddTrailingZeros = (value, patternRules, options) => {
    const { rounding } = options;
    const { minimumFractionDigits, maximumFractionDigits } = patternRules;
    const resolvedRoundingFunction = rounding || Math.round;
    const shouldIncludeDecimalPlaces = minimumFractionDigits > 0 || maximumFractionDigits > 0;
    if (shouldIncludeDecimalPlaces) {
        const optionalDecimalDigitsCount = maximumFractionDigits - minimumFractionDigits;
        return number_to_fixed_1.default(value, maximumFractionDigits, resolvedRoundingFunction, optionalDecimalDigitsCount);
    }
    else {
        return number_to_fixed_1.default(value, 0, resolvedRoundingFunction);
    }
};
exports.default = roundValueAndAddTrailingZeros;
//# sourceMappingURL=round-value-and-add-trailing-zeros.js.map