"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const split_string_in_two_parts_1 = __importDefault(require("../../../../core/utils/split-string-in-two-parts"));
/**
 * Splits the given number (as string) in the integer and decimal parts.
 * Returns:
 *     [integerPart: string, decimalPart: string]
 * <i> The integer part can potentially contain the number sign (-) if it wasn't removed previously.
 * <i> It should always return [string, string]
 */
const splitNumberIntegerAndDecimalParts = (valueAsString, patternRules) => {
    const { optionalFractionDigits } = patternRules;
    const [integerPart, decimalPart] = split_string_in_two_parts_1.default(valueAsString, '.');
    // Checks whether optionalDecimalPlaces [.] is enabled and the value is an integer (no decimals)
    if (optionalFractionDigits && Number(decimalPart) === 0) {
        return [integerPart, ''];
    }
    return [integerPart, decimalPart];
};
exports.default = splitNumberIntegerAndDecimalParts;
//# sourceMappingURL=split-number-integer-and-decimal-parts.js.map