"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pattern_regexp_utils_1 = require("../utils/pattern-regexp-utils");
const number_to_formatted_number_1 = __importDefault(require("../../formatter/format/number-to-formatted-number/number-to-formatted-number"));
const ordinalFormatter = {
    name: 'ordinal',
    regexps: {
        format: /o/,
    },
    format: (number, pattern, options) => {
        var _a, _b;
        const localizedOrdinal = ((_b = (_a = options.locale).ordinal) === null || _b === void 0 ? void 0 : _b.call(_a, number)) || '';
        const patternWithEscapedOrdinal = pattern_regexp_utils_1.patternReplace(pattern, /o/, `'ɵordɵ'`);
        const formatResult = number_to_formatted_number_1.default(number, patternWithEscapedOrdinal, options);
        return formatResult.replace('ɵordɵ', _ => localizedOrdinal);
    }
};
exports.default = ordinalFormatter;
//# sourceMappingURL=ordinal.js.map