"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const memoize_1 = __importDefault(require("../../core/utils/memoize"));
const unit_scale_1 = require("../../core/utils/unit-scale");
const string_repeat_1 = __importDefault(require("../../core/utils/string-repeat"));
const baseCreateUnitScaleFromLocaleAbbreviations = (str) => {
    if (!str) {
        return unit_scale_1.unitScale({ base: '', scale: {} });
    }
    const scale = str.split('|');
    const scaleDefinition = { ['']: 1 };
    scale.forEach((scaleItem, scaleItemIndex) => {
        if (!scaleItem)
            return;
        scaleDefinition[scaleItem] = +(1 + string_repeat_1.default('0', scaleItemIndex));
    });
    return unit_scale_1.unitScale({ base: '', scale: scaleDefinition });
};
const createUnitScaleFromLocaleAbbreviations = memoize_1.default(baseCreateUnitScaleFromLocaleAbbreviations);
exports.default = createUnitScaleFromLocaleAbbreviations;
//# sourceMappingURL=create-unit-scale-from-locale-abbreviations.js.map